org.apache.synapse.transport.passthru

## Class ErrorCodes

- java.lang.Object
- - org.apache.synapse.transport.passthru.ErrorCodes

-     public class ErrorCodes
      extends java.lang.Object

  Error codes exposed by this transport.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONNECT_CANCEL`
    `static int` | `CONNECT_TIMEOUT`
    `static int` | `CONNECTION_CLOSED`
    `static int` | `CONNECTION_FAILED`
    `static int` | `CONNECTION_TIMEOUT`
    `static int` | `PROTOCOL_VIOLATION`
    `static int` | `SND_HTTP_ERROR`
    `static int` | `SND_INVALID_STATE`
    `static int` | `SND_IO_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorCodes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SND_IO_ERROR

          public static final int SND_IO_ERROR

      See Also:
        Constant Field Values

    - #### SND_HTTP_ERROR

          public static final int SND_HTTP_ERROR

      See Also:
        Constant Field Values

    - #### SND_INVALID_STATE

          public static final int SND_INVALID_STATE

      See Also:
        Constant Field Values

    - #### CONNECTION_FAILED

          public static final int CONNECTION_FAILED

      See Also:
        Constant Field Values

    - #### CONNECTION_TIMEOUT

          public static final int CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

    - #### CONNECTION_CLOSED

          public static final int CONNECTION_CLOSED

      See Also:
        Constant Field Values

    - #### PROTOCOL_VIOLATION

          public static final int PROTOCOL_VIOLATION

      See Also:
        Constant Field Values

    - #### CONNECT_CANCEL

          public static final int CONNECT_CANCEL

      See Also:
        Constant Field Values

    - #### CONNECT_TIMEOUT

          public static final int CONNECT_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorCodes

          public ErrorCodes()

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.